<template>

    <v-container grid-xs>
      <hr width="75%">
      <v-layout row wrap>
        <v-flex v-for="item in todos" :key="item.id">
          <v-chip @click="toDoList(item.id)" color="green" outline>
            <v-icon dark>check_circle</v-icon>
            &nbsp;
            {{item.title}}
          </v-chip>
        </v-flex>
      </v-layout>
      <hr width="75%">
    </v-container>

</template>

<script>
export default {
  props: {
    todos: Array
  },
  /*I
  we go from the child and we emit the id's of our items
   to the parent function moveToFinish*/
  methods: {
    toDoList(id) {
      this.$emit("move-to-finish", {
        id: id
      });
    }
  }
};
</script>

<style>
</style>
